Skip to main content
Nowledge MemNowledge Mem

Archive Memory

POST
/memories/{memory_id}/archive

Hide a memory from everyday recall while keeping it explicitly readable.

Path Parameters

memory_id*Memory Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Set an explicit lifecycle state for a memory.

Response Body

application/json

application/json

curl -X POST "https://example.com/memories/string/archive" \  -H "Content-Type: application/json" \  -d '{}'
{}